package com.persagy.apm.diagnose.constant;

/**
 * Description: 能耗分表支持的几种时间粒度常量  
 * Company: Persagy 
 * @author cuixubin 
 * @version 1.0
 * @since: 2018年8月27日: 下午7:01:08
 * Update By cuixubin 2018年8月27日: 下午7:01:08
 */
public enum EnumTimeType {
	MIN15(0, "15分钟"), HOUR(1, "1h"), DAY(2, "1d"), MONTH(3, "1month"), YEAR(4, "1year");
	
	private int code;
	private String name;
	
	public int getCode() {
		return code;
	}
	public String getName() {
		return name;
	}

	EnumTimeType(int code, String name) {
		this.code = code;
		this.name = name;
	}
	
	/**
	 * Description: 根据编码获取TimeDimension枚举值
	 * @param code
	 * @return TimeDimension
	 * @author JiShaoJun
	 * @since 2018年8月30日: 下午2:57:17
	 * Update By JiShaoJun 2018年8月30日: 下午2:57:17
	 */
	public static EnumTimeType getTimeDimension(int code) {
		for(EnumTimeType item : EnumTimeType.values()) {
			if(item.getCode() == code) {
				return item;
			}
		}
		return null;
	}
}
