package com.persagy.apm.diagnose.timerecord.service;

import com.persagy.apm.diagnose.timerecord.model.*;
import com.persagy.apm.diagnose.timerecord.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 监测指标计算时间(CalculateTimeRecord) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-10 00:13:10
 */
public interface ICalculateTimeRecordService  {
    
    /**
    * 创建监测指标计算时间
    *
    * @param addCalculateTimeRecordDTO addDTO
    * @return 监测指标计算时间主键
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public String createCalculateTimeRecord(AddCalculateTimeRecordDTO addCalculateTimeRecordDTO);
    
    /**
    * 监测指标计算时间详情
    *
    * @param id 主键
    * @return 监测指标计算时间do对象
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public CalculateTimeRecord queryCalculateTimeRecordDetail(String id);
    
    /**
    * 更新监测指标计算时间
    *
    * @param updateCalculateTimeRecordDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public void updateCalculateTimeRecord(UpdateCalculateTimeRecordDTO updateCalculateTimeRecordDTO);
    
    /**
    * 删除监测指标计算时间
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public void deleteCalculateTimeRecord(String id);
    
    /**
    * 查询监测指标计算时间
    *
    * @param queryCalculateTimeRecordDTO queryDTO
    * @return List<CalculateTimeRecord>
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public List<CalculateTimeRecord> queryCalculateTimeRecordList(QueryCalculateTimeRecordDTO queryCalculateTimeRecordDTO);
    
    /**
    * 分页查询监测指标计算时间
    * 
    * @param pageQueryCalculateTimeRecordDTO pageQueryDTO
    * @return IPage<CalculateTimeRecord>
    * @author lixing
    * @version V1.0 2021-09-10 00:13:10
    */
    public IPage<CalculateTimeRecord> pageQueryCalculateTimeRecord(PageQueryCalculateTimeRecordDTO pageQueryCalculateTimeRecordDTO);

/**
 * @title queryTimeRecordListByProjectId
 * @description 通过项目id查询项目下所有计算指标时间
 * @author leifeng
 * @param: projectId
 * @updateTime 2021/9/21 14:48
 * @return: java.util.List<CalculateTimeRecord>
 * @throws
 */
    public List<CalculateTimeRecord> queryTimeRecordListByProjectId(String projectId);

    /**
     * @title saveOrUpdateByPk
     * @description 根据主键更新实体
     * @author leifeng
     * @param: update
     * @updateTime 2021/9/27 18:17
     * @throws
     */
    public void saveOrUpdateByPk(CalculateTimeRecord update);
}
